
EMULATOR    ?= NO

CONFIGMAKE = ./Config.make.tool
-include $(CONFIGMAKE)

LD	= $(LINK)
AR	= $(LIBRARIAN)

ifeq ($(EMULATOR), NO)
	CROSS_BUILD ?= 1
else
	CROSS_BUILD ?= 0
endif
TARGETROOT ?= ~/target/usr/local

TARGET_SDIR = $(TARGETROOT)/sbin
TARGET_EDIR = $(TARGETROOT)/etc
MODULE		= dhcpcd
MODULE_OBJ	= $(MODULE).out

.PHONY: all install
all: Makefile $(MODULE_OBJ) install

$(MODULE_OBJ): Makefile $(MODULE)
	$(CP) $(MODULE) $(MODULE_OBJ)

ifeq ($(CROSS_BUILD),1)
Makefile:
	/bin/sh ./configure --prefix=$(TARGET_ROOT) --target=mips-sharp-linux CC=$(CC) LD=$(LD) RANLIB=$(RANLIB) AR=$(AR) AS=$(AS) STRIP=$(STRIP) CFLAGS='-O2 -mips2 -Wall -fno-strict-aliasing' LDFLAGS=--static --host=mips-sharp-linux --build=i686-pc-linux-gnu
else
Makefile:
	/bin/sh ./configure --prefix=$(TARGET_ROOT) CC=$(CC) LD=$(LD) RANLIB=$(RANLIB) AR=$(AR) AS=$(AS) STRIP=$(STRIP) CFLAGS='-O2 -Wall -fno-strict-aliasing' LDFLAGS=--static
endif

$(MODULE):
	$(MAKE) -f Makefile

install: $(MODULE_OBJ)
	sudo $(CP) $(MODULE_OBJ) $(TARGET_SDIR)/dhcp4c.out

.PHONY: clean cleanall uninstall
clean:
	if [ -f Makefile ] ; then \
		$(MAKE) -f Makefile clean; \
	fi
	$(RM) $(MODULE_OBJ)

cleanall: clean
	sudo $(RM) $(TARGET_SDIR)/dhcp4c.out
	find . -name '*.Po'        -exec $(RM) {} \;
	find . -name config.log    -exec $(RM) {} \;
	find . -name config.status -exec $(RM) {} \;
	find . -name Makefile      -exec $(RM) {} \;

uninstall:
	sudo $(RM) $(TARGET_SDIR)/$(MODULE_OBJ)
